こんにちは、金井です。

 ruby-1.8.1-20040331-i386-mswin32.zip ですが、win32ole を require
するだけで、「ruby.exe - 不正なイメージ」というメッセージボックスが
出ます。メッセージはこんな具合です。
-------------------------------------------------------------------
アプリケーションまたは DLL c:\usr\local\lib\ruby\1.8\i386-mswin32ole.so
は正しい Windows イメージではありません。これをインストールディスクの
ファイルと照合してください。
-------------------------------------------------------------------
そして、標準エラー出力に次のメッセージが出力されます。
-------------------------------------------------------------------
c:/usr/local/lib/ruby/1.8/i386-mswin32/win32ole.so: 193: %1 は有効な 
Win32 アプリケーションではありません。
- c:/usr/local/lib/ruby/1.8/i386-mswin32/win32ole.so (LoadError)
-------------------------------------------------------------------

よろしくお願いします。

--
金井 隆 (KANAI Takashi)
kanai / nn.iij4u.or.jp